import {ElasticSearch} from './index';

const elastic =  new ElasticSearch({elasticUrl:'http://localhost:9100/',index:'my-index'});
//takes 2 arguments -  filed name to search, field value
// elastic.searchByField('name','eeee')

//takes 1 argument -  search obj
// elastic.search({name:'tttt',age:30})

//takes 1 argument -  elastic id
// elastic.getByElasticId('D0ubcnkBf9VPGpJ4_Crj')

//takes 1 argument -  object to add to the index
// elastic.addItem({name:'tttt',age:30});

//takes 1 argument =  array of objects to add
// elastic.addMultipleItems([{name:'rrrr',age:10},{name:'eeee',age:11}])

//takes 1 arguement -  elasticsearch ID
// elastic.deleteByElasticId('8Uv2cXkBf9VPGpJ4Nym1')

//takes 2 arguements -  field to search, value - it delete everything that match the query
// elastic.deleteByField('name','tttt')

//takes 1 argument -  delete obj
// elastic.deleteByMultipleFields({name:'rrrr'})

// elastic.addItem({name:'moti',age:31});
// elastic.addItem({name:'shlomo',age:35});
// elastic.addItem({name:'yossi',age:53});
// elastic.addItem({name:'dani',age:16});
// elastic.addItem({name:'avi',age:45});

